## org.hibernate.type.descriptor.sql
Class NumericTypeDescriptor

    java.lang.Object
      org.hibernate.type.descriptor.sql.DecimalTypeDescriptor
          org.hibernate.type.descriptor.sql.NumericTypeDescriptor

All Implemented Interfaces:
  Serializable, SqlTypeDescriptor

    public class NumericTypeDescriptor

extends DecimalTypeDescriptor

Descriptor for `NUMERIC` handling.

Author:
  Steve Ebersole
See Also:
  Serialized Form

Field Summary
`static NumericTypeDescriptor` `INSTANCE`

Constructor Summary
`NumericTypeDescriptor()`

Method Summary
`int` `getSqlType()` Return the JDBC type-code for the column mapped by this type.

Methods inherited from class org.hibernate.type.descriptor.sql.DecimalTypeDescriptor
`getBinder, getExtractor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final NumericTypeDescriptor INSTANCE

Constructor Detail

### NumericTypeDescriptor

    public NumericTypeDescriptor()

Method Detail

### getSqlType

    public int getSqlType()

  Description copied from interface: `SqlTypeDescriptor`
  Return the JDBC type-code for the column mapped by this type.

  Specified by:
    `getSqlType` in interface `SqlTypeDescriptor`
  Overrides:
    `getSqlType` in class `DecimalTypeDescriptor`
  Returns:
    The JDBC type-code

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.